# Provide access for ArgoCD to deploy tekton components.
kind: Role
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: argocd-tekton-role
rules:
- apiGroups: ["tekton.dev"]
  resources: ["tasks", "pipelines"]
  verbs: ["create", "patch", "delete"]
- apiGroups: ["triggers.tekton.dev"]
  resources: ["triggerbindings", "triggertemplates", "eventlisteners"]
  verbs: ["create", "patch", "delete"]
---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: argocd-controller-to-argocd-tekton-role
roleRef:
  kind: Role
  name: argocd-tekton-role
  apiGroup: rbac.authorization.k8s.io
subjects:
- kind: ServiceAccount
  namespace: openshift-gitops
  name: openshift-gitops-argocd-application-controller
